Win a copy of Think Java: How to Think Like a Computer Scientist this week in the Java in General forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

web option is not coming while creating project

 
ujwwala tem
Ranch Hand
Posts: 87
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hello,

I have eclipse 3.2 and tomcat5 and struts 1.1

so while creating a project web option is not coming ,can someone please help me
 
Maneesh Godbole
Saloon Keeper
Posts: 11027
12
Android Eclipse IDE Google Web Toolkit Java Mac Ubuntu
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Ujwala,
Welcome to the Ranch.

We have a dedicated forum for IDE related questions. I will move this post there for you.
In the meanwhile please go through these tips on getting the most out of the Ranch
 
Peter Johnson
author
Bartender
Posts: 5852
7
Android Eclipse IDE Ubuntu
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Eclipse 3.2 is ancient, any chance you can upgrade to a more recent version? Also, did you install basic Eclipse package, or the "For Java EE Developers" package (I think there was that option with 3.2)? If the basic package, did you install the web tools plugin?
 
ujwwala tem
Ranch Hand
Posts: 87
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hello,
Thanks for the reply,could you please brief me the prerequisites to build a struts application in eclipse

I have jdk1.5
eclipse3.2.2
tomcat5.0
struts1.1


as you said this version of eclipse is ancient so please guide me the exact versions and steps to install along with struts plugin.

I have gone therough verios sites but its failing to poperly install,

Thanks
 
Mark E Hansen
Ranch Hand
Posts: 650
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Are you saying you're not able to find the Eclipse download? Have a look here:
http://www.eclipse.org/downloads/

As previously mentioned, for JEE application development, you wan the edition named Eclipse IDE for Java EE Developers. This is the Galileo edition.

As for the pre-requisites for Struts 1, I don't know. Struts 2 is the current product. Are you required to use Struts 1? If not, you should be learning with Struts 2.

Either way, just do a Google search for tutorials, and they will explain how to get going.

Best Regards,
 
ujwwala tem
Ranch Hand
Posts: 87
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hello,

Thanks for the reply,

I have installed eclipse gyymede3.4.2 and struts2.1.2,and tomcat5.

I have created dynamic web project StrutsHelloWorld but context root and all I checked,but while running the application

http://localhost/StrutsHelloWorld

its giving me as HTTP Status 404 - /StrutsHelloWorld

Kindly help..

 
Seetharaman Venkatasamy
Ranch Hand
Posts: 5575
Eclipse IDE Java Windows XP
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
ujwwala tem wrote:its giving me as HTTP Status 404 - /StrutsHelloWorld


I suggest you to start a new thread in Struts Forum
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic